> ## Documentation Index
> Fetch the complete documentation index at: https://developer.notchpay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List all webhooks



## OpenAPI

````yaml openapi.yaml get /webhooks
openapi: 3.1.0
info:
  title: Notch Pay API
  description: API for integrating payment and money transfer services into applications.
  version: 2.1.0
servers:
  - url: https://api.notchpay.co
    description: Production and Sandbox Environment
security: []
paths:
  /webhooks:
    get:
      summary: List all webhooks
      operationId: listWebhooks
      parameters:
        - name: limit
          in: query
          description: Number of items per page
          schema:
            type: integer
            default: 30
        - name: page
          in: query
          description: Page number
          schema:
            type: integer
            default: 1
      responses:
        '200':
          description: Webhook endpoints retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 200
                  status:
                    type: string
                    example: OK
                  message:
                    type: string
                    example: Webhook endpoints retrieved
                  totals:
                    type: integer
                    example: 5
                  last_page:
                    type: integer
                    example: 1
                  current_page:
                    type: integer
                    example: 1
                  selected:
                    type: integer
                    example: 5
                  endpoints:
                    type: array
                    items: b5fa4e1b-9dea-43ad-b752-3c9bc2864ed6
                required:
                  - code
                  - status
                  - message
                  - endpoints
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: b29a71d3-4f97-40ed-a676-731aa1fbe742
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: b29a71d3-4f97-40ed-a676-731aa1fbe742
      security:
        - ApiKeyAuth: []
        - GrantAuth: []
        - SyncAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
    GrantAuth:
      type: apiKey
      in: header
      name: X-Grant
    SyncAuth:
      type: apiKey
      in: header
      name: X-Sync

````